package com.jty.wsxt.application;

import com.jty.wsxt.application.service.AuthRoleServer;
import com.jty.wsxt.application.service.AuthUserServer;
import com.jty.wsxt.application.service.NrscAuthorityServer;
import com.jty.wsxt.application.service.NrscTeacherService;
import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

/**
 * 应用Service组件注册
 *
 * @author yangqijie
 * @since 2019/5/31 09:57
 */
@Component
public class ApplicationRegistry implements ApplicationContextAware {

    private static ApplicationContext applicationContext;

    public static NrscTeacherService nrscTeacherService(){
        return applicationContext.getBean(NrscTeacherService.class);
    }
    public static AuthUserServer authUserServer(){
        return applicationContext.getBean(AuthUserServer.class);
    }

    public static AuthRoleServer authRoleServer(){
        return applicationContext.getBean(AuthRoleServer.class);
    }

    public static NrscAuthorityServer nrscAuthorityServer(){
        return applicationContext.getBean(NrscAuthorityServer.class);
    }

    @Override
    public synchronized void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        if(ApplicationRegistry.applicationContext==null) {
            ApplicationRegistry.applicationContext = applicationContext;
        }
    }
}
