package com.jty.wsxt.domain.model.auth.authority;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.jty.wsxt.domain.model.auth.role.AuthRole;
import com.jty.wsxt.domain.shared.IdentifiedEntityObject;
import lombok.Data;
import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;

import javax.persistence.*;
import java.util.Iterator;
import java.util.List;

/**
 * 权限
 *
 * @author Manjiajie
 * @since 2019-6-12 11:02:11
 */
@Data
@Entity
@Inheritance(strategy = InheritanceType.SINGLE_TABLE)
@DiscriminatorColumn(name="platform",discriminatorType= DiscriminatorType.STRING)
@DiscriminatorValue("authority")
public class AuthAuthority extends IdentifiedEntityObject<AuthAuthority> {

    private String code;

    private String name;

    private String url;

    @ManyToOne(fetch = FetchType.LAZY)
    @NotFound(action= NotFoundAction.IGNORE)
    @JoinColumn(name="parent_id",
            columnDefinition="int(11) not null",
            insertable=false,updatable=false,
            foreignKey = @ForeignKey(name = "none",value=ConstraintMode.NO_CONSTRAINT))
    @JsonIgnore
    private AuthAuthority parent;

    private Integer depth;

    private String ordinal;

    private String  pathIds;

    @OneToMany(mappedBy = "parent",fetch = FetchType.LAZY)
    private List<AuthAuthority> children;

    @ManyToMany(mappedBy = "authorities",fetch = FetchType.LAZY)
    private List<AuthRole> roles;

    @Override
    public boolean sameIdentityAs(AuthAuthority other) {
        return false;
    }

    public static void cleanAuthority(AuthRole authRole){
        Iterator<AuthAuthority> it = authRole.getAuthorities().iterator();
        while(it.hasNext()){
            it.next();
            it.remove();
        }
    }

}
