package com.jty.wsxt.interfaces.controller;

import com.jty.wsxt.application.ApplicationRegistry;
import com.jty.wsxt.domain.model.auth.authority.nrsc.NrscAuthority;
import com.jty.wsxt.infrastructure.support.Result;
import com.jty.wsxt.interfaces.Assembler;
import com.jty.wsxt.interfaces.dto.AuthAuthorityDto;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * NrscAuthorityController
 *
 * @author Manjiajie
 * @since 2019-6-13 15:44:27
 */
@RestController
public class NrscAuthorityController {

    @GetMapping("/authority")
    public Result getNrscAuthoritise(){
        List<NrscAuthority> listAll = ApplicationRegistry.nrscAuthorityServer().getAllAuthorities();;
        List<NrscAuthority> rootList = ApplicationRegistry.nrscAuthorityServer().getDepthOneAuthorities();
        if(rootList.isEmpty()||listAll.isEmpty()){
            return null;
        }
        List<AuthAuthorityDto> dtoList=new ArrayList<>();
        rootList.forEach(r->{
            dtoList.add(Assembler.castToAuthAuthorityDto(r));
        });
        return Result.success(dtoList);
    }
}
