package com.jty.wsxt.application.service.impl;

import com.jty.wsxt.application.service.ModuleService;
import com.jty.wsxt.domain.DomainRegistry;
import com.jty.wsxt.domain.model.module.Module;
import com.jty.wsxt.infrastructure.support.BusinessException;
import com.jty.wsxt.infrastructure.support.ResultCode;
import com.jty.wsxt.interfaces.dto.ModuleDto;
import org.springframework.stereotype.Service;

/**
 * ModuleServiceImpl
 *
 * @author Manjiajie
 * @since 2019-6-21 11:37:06
 */
@Service
public class ModuleServiceImpl implements ModuleService {
    @Override
    public void addModule(ModuleDto moduleDto) {
        Module module = DomainRegistry.moduleRepository().findByName(moduleDto.getName()).orElse(null);
        if(module != null){
            if(!module.getUsed()) {
                throw new BusinessException(ResultCode.DATA_ALREADY_EXISTED);
            }else {
                module.setUsed(true);
            }
        }else {
            module = new Module();
            module.setName(moduleDto.getName());
        }
        module.save();
    }

    @Override
    public void deleteModule(Integer moduleId) {
        Module module = DomainRegistry.moduleRepository().findById(moduleId).orElseThrow(()->new BusinessException(ResultCode.RESULT_DATA_NONE));
        module.setUsed(false);
        module.save();
    }
}
