package com.jty.wsxt.application.service.impl;

import com.jty.wsxt.application.service.TypeService;
import com.jty.wsxt.domain.DomainRegistry;
import com.jty.wsxt.domain.model.subject.Subject;
import com.jty.wsxt.domain.model.type.Type;
import com.jty.wsxt.infrastructure.support.BusinessException;
import com.jty.wsxt.infrastructure.support.ResultCode;
import com.jty.wsxt.interfaces.dto.TypeDto;
import org.springframework.stereotype.Service;

/**
 * TypeServiceImpl
 *
 * @author Manjiajie
 * @since 2019-6-21 11:39:44
 */
@Service
public class TypeServiceImpl implements TypeService {
    @Override
    public void addType(TypeDto typeDto) {
        Type type = DomainRegistry.typeRepository().findByName(typeDto.getName()).orElse(null);
        if(type != null){
            if(!type.getUsed()) {
                throw new BusinessException(ResultCode.DATA_ALREADY_EXISTED);
            }else {
                type.setUsed(true);
            }
        }else {
            type = new Type();
            type.setName(typeDto.getName());
        }
        type.save();
    }

    @Override
    public void deleteType(Integer typeId) {
        Type type = DomainRegistry.typeRepository().findById(typeId).orElseThrow(()->new BusinessException(ResultCode.RESULT_DATA_NONE));
        type.setUsed(false);
        type.save();
    }
}
