package com.jty.wsxt.domain;

import com.jty.wsxt.domain.model.module.ModuleRepository;
import com.jty.wsxt.domain.model.paper.PaperRepository;
import com.jty.wsxt.domain.model.subject.SubjectRepository;
import com.jty.wsxt.domain.model.type.TypeRepository;
import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

/**
 * 组件注册
 *
 * @author Manjiajie
 * @since 2019-6-21 09:46:48
 */
@Component
public class DomainRegistry implements ApplicationContextAware {

    private static ApplicationContext applicationContext;

    public static ModuleRepository moduleRepository(){
        return applicationContext.getBean(ModuleRepository.class);
    }

    public static PaperRepository paperRepository(){
        return applicationContext.getBean(PaperRepository.class);
    }

    public static SubjectRepository subjectRepository(){
        return applicationContext.getBean(SubjectRepository.class);
    }

    public static TypeRepository typeRepository(){
        return applicationContext.getBean(TypeRepository.class);
    }

    @Override
    public synchronized void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        if(DomainRegistry.applicationContext==null) {
            DomainRegistry.applicationContext = applicationContext;
        }
    }
}
