package com.jty.wsxt.interfaces.controller;

import com.jty.wsxt.application.ApplicationRegistry;
import com.jty.wsxt.application.feign.UserFeign;
import com.jty.wsxt.interfaces.dto.PaperDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * PaperController
 *
 * @author Manjiajie
 * @since 2019-6-21 13:42:12
 */
@RestController
public class PaperController {

    private final UserFeign userFeign;

    @Autowired
    public PaperController(UserFeign userFeign) {
        this.userFeign = userFeign;
    }

    @PostMapping
    public void addPaper(@RequestBody PaperDto paperDto){
        paperDto.setCreatorId(userFeign.getLoginId());
        ApplicationRegistry.paperService().addPaper(paperDto);
    }

    @GetMapping("/papers")
    public void getPapers(PaperDto paperDto){

    }
}
